/* ============================================================================ *
	Post Styles
    ---------------------------------------------------------------------------
	These are the styles which build all the various post types and their templates.
*/

.tmf-post .title a {
	text-decoration: none;
}

.tmf-post .title a:hover {
	text-decoration: underline;
}

.tmf-post.small .title {
	line-height: 1.2em;
	font-weight: 700;
}

.tmf-post img.thumbnail {
	max-width: 100px;
	margin-top: 2px;
	margin-right: 20px;
	margin-bottom: 0;
	border: 2px solid #fff;
}

.tmf-post.medium img.thumbnail {
	max-width: 250px;
	margin-right: 15px;
	margin-bottom: 15px;
	margin-top: 2px;
}

.tmf-post.medium img.thumbnail.mobile {
	margin-top: 7px;
}

.tmf-post img.primary {
	float: left;
	margin-top: 5px;
	max-width: 250px;
	margin-right: 15px;
	margin-bottom: 15px;
}

.children .tmf-post.medium img.thumbnail {
	max-width: 150px;
}

.tmf-post.location.small .map {
	display: inline-block;
}

.tmf-post.location.small .information {
	display: inline-block;
	vertical-align: top;
}

.tmf-post.location.small .business-name {
	font-weight: 400;
	margin-bottom: 3px;
}

.tmf-post.location.small .label {
	font-weight: 700;
}

.tmf-post.testimonial.small .excerpt {
	font-style: italic;
	font-size: 1.2em;
	line-height: 1.8em;
	background: url(../images/icon-quote.png) top left no-repeat;
}

.tmf-post.event.small .title,
.tmf-post.post.small .title.has-post-date,
.tmf-post.news.small .title.has-post-date {
	margin-left: 45px;
	font-weight: 700;
}

.tmf-post.event.small .calendar-icon,
.tmf-post.post.small .calendar-icon,
.tmf-post.news.small .calendar-icon {
	position: absolute;
	top: -4px;
	left: 0;
	border: none;
	-webkit-border-radius: 0;
	-moz-border-radius: 0;
	border-radius: 0;
	width: 36px;
	height: 38px;
	margin-top: 4px;
	text-align: center;
	background: url(../images/icon-calendar.png) no-repeat;
}

.tmf-post.event.small .calendar-icon .month,
.tmf-post.post.small .calendar-icon .month,
.tmf-post.news.small .calendar-icon .month {
	display: none;
}

.tmf-post.event.small .calendar-icon .day,
.tmf-post.post.small .calendar-icon .day,
.tmf-post.news.small .calendar-icon .day {
	line-height: 1em;
	padding: 16px 0 0;
	font-size: 16px;
	font-weight: 700;
	color: #5e0c22;
	font-family: 'Helvetica', 'Arial', sans-serif;
}

/* ======================================== *
	Person
 * ======================================== */
.tmf-post.attorney.large img.primary,
.tmf-post.staff.large img.primary {
	max-width: 100%;
	-webkit-box-shadow: 0 0 0 2px #fff, 0 0 9px rgba(0,0,0, 0.5);
	-moz-box-shadow: 0 0 0 2px #fff, 0 0 9px rgba(0,0,0, 0.5);
	box-shadow: 0 0 0 2px #fff, 0 0 9px rgba(0,0,0, 0.5);
	margin-top: -155px;
	float: none;
}

.tmf-post.attorney.large #page-content,
.tmf-post.staff.large #page-content {
	margin-top: 0;
}

.tmf-post.attorney.small .read-more {
	display: block;
	text-align: right;
	font-weight: 700;
	text-decoration: none;
}

.tmf-post.attorney.small .read-more:hover {
	text-decoration: underline;
}

@media screen and (max-width: 850px) {
	.tmf-post.attorney.large img.primary,
	.tmf-post.staff.large img.primary {
		max-width: 250px;
	}
}


@media screen and (max-width: 850px) {
	.tmf-post.attorney.large img.primary,
	.tmf-post.staff.large img.primary {
		margin-top: 0;
	}
}



/* ======================================== *
	Responsive Posts
 * ======================================== */
@media screen and (min-width: 850px) and (max-width: 1000px), screen and (max-width: 600px) {
	.tmf-post.medium.post .taxonomy-container {
		clear: both;
	}

	.tmf-post.medium.post .read-more-button {
		margin-bottom: 25px;
	}

	.tmf-post.medium.event .taxonomy-container {
		clear: both;
	}

	.tmf-post.medium.event .read-more-button {
		margin-bottom: 25px;
	}


	.tmf-post.medium.post img.primary {
		max-width: 150px;
	}

	.tmf-post.medium img.thumbnail {
		max-width: 175px;
	}

	.children .tmf-post.medium img.thumbnail {
		max-width: 125px;
	}

	.tmf-post.medium.attorney .read-more-button.top,
	.tmf-post.medium.staff .read-more-button.top {
		display: none;
	}

	.tmf-post.medium.attorney .read-more-button.bottom,
	.tmf-post.medium.staff .read-more-button.bottom {
		display: block;
		text-align: center;
	}

	.tmf-post img.primary {
		max-width: 200px;
	}
}


@media screen and (max-width: 400px) {
	.tmf-post.small img.thumbnail {
		max-width: 75px;
	}

	.tmf-post.attorney.small img.thumbnail, 
	.tmf-post.staff.small img.thumbnail {
		max-width: 75px;
	}

	.tmf-post.medium img.thumbnail {
		max-width: 125px;
	}

	.children .tmf-post.medium img.thumbnail {
		max-width: 100px;
	}

	.tmf-post.medium.post img.primary {
		max-width: 100px;
	}

	.tmf-post.attorney.medium img.thumbnail, 
	.tmf-post.staff.medium img.thumbnail {
		max-width: 75px;
	}

	.tmf-post img.primary {
		max-width: 150px;
	}
}
